import '../Entities/drift_database.dart';

/// Eine Klasse, um auf die Datenbank zugreifen zu können
class DatabaseService {
  /// Gibt die aktuell gültige Instanz der Klasse zurück
  factory DatabaseService() => _instance;

  DatabaseService._internal();

  static final DatabaseService _instance = DatabaseService._internal();

  AppDatabase? _database;

  /// Stellt die Datenbank dar
  AppDatabase get database {
    _database ??= AppDatabase();
    return _database!;
  }
}
